Java library/dependency errors with the xMatters Agent or Integration Agent

Problem

Running an xMatters Agent script based on a fresh installation generates library/dependency errors in the logs.

For example:

2020-01-07 15:24:24,321 736 [main] com.xmatters.xagent.services.ProxyConfiguration INFO --- Proxy setting: auto detect 
2020-01-07 15:24:24,399 736 [main] org.springframework.boot.web.servlet.context.AnnotationConfigServletWebServerApplicationContext WARN --- Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'proxyConfiguration': Invocation of init method failed; nested exception is java.lang.UnsatisfiedLinkError: C:\Windows\Temp\jna--466067545\jna16717576257690877345.dll: Can't find dependent libraries
2020-01-07 15:24:24,399 736 [main] org.eclipse.jetty.server.session INFO --- node0 Stopped scavenging
2020-01-07 15:24:24,399 736 [main] org.eclipse.jetty.server.handler.ContextHandler INFO --- Stopped o.s.b.w.e.j.JettyEmbeddedWebAppContext@37e0292a{application,/,[file:///C:/Windows/Temp/jetty-docbase.8974651665977573951.8081/],UNAVAILABLE}
2020-01-07 15:24:24,414 736 [main] org.springframework.boot.autoconfigure.logging.ConditionEvaluationReportLoggingListener INFO ---

Error starting ApplicationContext. To display the conditions report re-run your application with 'debug' enabled.
2020-01-07 15:24:24,430 736 [main] org.springframework.boot.SpringApplication ERROR --- Application run failed
java.lang.UnsatisfiedLinkError: C:\Windows\Temp\jna--466067545\jna16717576257690877345.dll: Can't find dependent libraries
at java.base/java.lang.ClassLoader$NativeLibrary.load0(Native Method)
at java.base/java.lang.ClassLoader$NativeLibrary.load(Unknown Source)
at java.base/java.lang.ClassLoader$NativeLibrary.loadLibrary(Unknown Source)
at java.base/java.lang.ClassLoader.loadLibrary0(Unknown Source)
at java.base/java.lang.ClassLoader.loadLibrary(Unknown Source)
at java.base/java.lang.Runtime.load0(Unknown Source)
......

Environment

All versions of xMatters

Solution

The Integration Agent and xMatters Agent have different Java requirements, and the version of Java you're using needs to be compatible with both applications. It's recommended to test the JRE before changing the Java version. The xMatters Agent can be tested using AdoptOpenJDK11 version of the JRE.

Cause

Incompatible Java versions. For more detailed information and recommendations, see the download sites for xMatters Agent or Integration Agent.

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk